# std::istream_iterator::operator*, operator->

From cppreference.com
< cpp‎ | iterator‎ | istream iterator

const T& operator*() const; | (1) |
const T* operator->() const; | (2) |

Returns a pointer or a reference to the current element.

The behavior is undefined if the iterator is end-of-stream iterator.

### Parameters

(none)

### Return value

A pointer or a reference to the current element.

### Exceptions

(none)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/iterator/istream_iterator/operator*&oldid=61415"